/**
 * A built-in object that has properties and methods for mathematical constants and functions.
 * @returns {Math} 
 */
function Math() {
    this.prototype
}
/**
 * @returns {String} 
 * @static
 */
Math.toSource = function() {};

/**
 * The natural logarithm of 2, approximately 0.693.
 * @returns {Number} 
 * @static
 */
Math.LN2;

/**
 * The base of natural logarithms, e, approximately 2.718.
 * @returns {Number} 
 * @static
 */
Math.E;

/**
 * Returns the arctangent (in radians) of a number.
 * @syntax <code> Math.atan(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.atan = function() {};

/**
 * Returns base to the exponent power, that is, baseexponent.
 * @syntax <code> Math.pow(<em>base</em>,<em>exponent</em>) </code>
 * @param {Number} base  The base number.
 * @param {String} exponents  The exponent to which to raise base.
 * @returns {Number} 
 * @static
 */
Math.pow = function() {};

/**
 * Returns the arcsine (in radians) of a number.
 * @syntax <code> Math.asin(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.asin = function() {};

/**
 * Returns the cosine of a number.
 * @syntax <code>Math.cos(<em>x</em>) </code>
 * @param {Number} x A number given in unit of radians.
 * @returns {Number} 
 * @static
 */
Math.cos = function() {};

/**
 * Returns the smallest integer greater than or equal to a number.
 * @syntax <code> Math.ceil(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.ceil = function() {};

/**
 * Returns the value of a number rounded to the nearest integer.
 * @syntax <code> Math.round(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.round = function() {};

/**
 * Returns the arctangent of the quotient of its arguments.
 * @syntax <code>Math.atan2(<em>y</em>, <em>x</em>) </code>
 * @param {Number} y,x Numbers.
 * @returns {Number} 
 * @static
 */
Math.atan2 = function() {};

/**
 * Returns the absolute value of a number.
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.abs = function() {};

/**
 * The square root of 1/2; equivalently, 1 over the square root of 2, approximately 0.707.
 * @returns {Number} 
 * @static
 */
Math.SQRT1_2;

/**
 * Returns the arccosine (in radians) of a number.
 * @syntax <code> Math.acos(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.acos = function() {};

/**
 * Returns the smallest of zero or more numbers.
 * @syntax <code>Math.min([<em>value1</em>[,<em>value2</em>[, ...]]]) </code>
 * @param {Number} value1,value2,... Numbers.
 * @returns {Number} 
 * @static
 */
Math.min = function() {};

/**
 * The natural logarithm of 10, approximately 2.302.
 * @returns {Number} 
 * @static
 */
Math.LN10;

/**
 * Returns the largest of zero or more numbers.
 * @syntax <code> Math.max([<em>value1</em>[,<em>value2</em>[, ...]]]) </code>
 * @param {Number} value1,value2,...  Numbers.
 * @returns {Number} 
 * @static
 */
Math.max = function() {};

/**
 * Returns the square root of a number.
 * @syntax <code> Math.sqrt(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.sqrt = function() {};

/**
 * Returns a floating-point, pseudo-random number in the range [0, 1) that is, from 0 (inclusive) up to but not including 1 (exclusive), which you can then scale to your desired range. The random number generator is seeded from the current time, as in Java.
 * @syntax <code>Math.random()</code>
 * @returns {Number} 
 * @static
 */
Math.random = function() {};

/**
 * The square root of 2, approximately 1.414.
 * @returns {Number} 
 * @static
 */
Math.SQRT2;

/**
 * Returns the natural logarithm (base E) of a number.
 * @syntax <code> Math.log(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.log = function() {};

/**
 * Returns Ex, where x is the argument, and E is Euler's constant, the base of the natural logarithms.
 * @syntax <code> Math.exp(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.exp = function() {};

/**
 * Returns the largest integer less than or equal to a number.
 * @syntax <code> Math.floor(<em>x</em>) </code>
 * @param {Number} x  A number.
 * @returns {Number} 
 * @static
 */
Math.floor = function() {};

/**
 * The ratio of the circumference of a circle to its diameter, approximately 3.14159.
 * @returns {Number} 
 * @static
 */
Math.PI;

/**
 * Returns the sine of a number.
 * @syntax <code>Math.sin(<em>x</em>) </code>
 * @param {Number} x A number (given in radians).
 * @returns {Number} 
 * @static
 */
Math.sin = function() {};

/**
 * Returns the tangent of a number.
 * @syntax <code> Math.tan(<em>x</em>) </code>
 * @param {Number} x  A number representing an angle in radians.
 * @returns {Number} 
 * @static
 */
Math.tan = function() {};

/**
 * The base 10 logarithm of E (approximately 0.434).
 * @returns {Number} 
 * @static
 */
Math.LOG10E;

/**
 * The base 2 logarithm of E (approximately 1.442).
 * @returns {Number} 
 * @static
 */
Math.LOG2E;

/**
 * Represents the Math prototype object.
 * @syntax Math.prototype
 * @static
 */
Math.prototype;

